## glyr 1.0.0

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

# Write in C, write in Ceeee... :-)
PROJECT(glyr C)

# Include pkg-config
INCLUDE(FindPkgConfig)

# ------------------------------------------------
# You can configure the next few params on the cmd:
# -DLIB_SUFFIX="64" for example
# ------------------------------------------------
IF(NOT DEFINED INSTALL_BIN_DIR)
 SET(INSTALL_BIN_DIR bin)
ELSE()
  MESSAGE("-- Install binaries to: \"${INSTALL_BIN_DIR}\"")
ENDIF()

IF(NOT DEFINED INSTALL_LIB_DIR)
  SET(INSTALL_LIB_DIR lib${LIB_SUFFIX})
ELSE()
  MESSAGE("-- Install library to: \"${INSTALL_LIB_DIR}\"")
ENDIF()

IF(NOT DEFINED INSTALL_INC_DIR)
  SET(INSTALL_INC_DIR include)
ELSE()
  MESSAGE("-- Install headers to: \"${INSTALL_INC_DIR}\"")
ENDIF()

IF(DEFINED LIB_SUFFIX)
  MESSAGE("-- Library suffix is: \"${LIB_SUFFIX}\"")
ENDIF()
# ------------------------------------------------

# ------------------------------------------------
# Versioning 
# ------------------------------------------------
SET(GLYR_VERSION_MAJOR "1")
SET(GLYR_VERSION_MINOR "0")
SET(GLYR_VERSION_MICRO "0")
SET(GLYR_VERSION_NAME  "Bloody Boar")
# ------------------------------------------------


# ------------------------------------------------
# CFlags and warnlevel / build config 
# ------------------------------------------------

# Tell config.h.in
IF(CMAKE_BUILD_TYPE STREQUAL "debug")
    SET(GLYR_DEBUG TRUE)
ELSE()
    SET(CMAKE_BUILD_TYPE "release")
    SET(GLYR_DEBUG FALSE)
ENDIF()
MESSAGE("-- Building Target: ${CMAKE_BUILD_TYPE}")

IF(CMAKE_COMPILER_IS_GNUCC)
    SET(GCC_ONLY_FLAGS "-std=c99")
    SET(GCC_ONLY_OPT   "-s")
ENDIF()

SET(COMMON_FLAGS "${GCC_ONLY_FLAGS} -Wall -Wextra -Wstrict-prototypes -W -Wno-unused-parameter -Wno-strict-prototypes -fvisibility=hidden")
SET(CMAKE_C_FLAGS_RELEASE "${COMMON_FLAGS} ${CMAKE_C_FLAGS} -Os ${GCC_ONLY_OPT}")
SET(CMAKE_C_FLAGS_DEBUG   "${COMMON_FLAGS} ${CMAKE_C_FLAGS} -ggdb3")
SET(CMAKE_C_FLAGS "${COMMON_FLAGS} ${CMAKE_C_FLAGS}")
# ------------------------------------------------

# ------------------------------------------------
# Configuration & pkg-config
# ------------------------------------------------
CONFIGURE_FILE(
  "libglyr.pc.in"
  "libglyr.pc"
)
INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/libglyr.pc DESTINATION ${INSTALL_LIB_DIR}/pkgconfig) 

# ----------------------
# Find deps
# ----------------------
FIND_PACKAGE(CURL REQUIRED)
PKG_CHECK_MODULES(GLIBPKG glib-2.0>=2.10 gthread-2.0 REQUIRED)
PKG_CHECK_MODULES(SQLITE3 sqlite3 REQUIRED)
INCLUDE_DIRECTORIES(${GLIBPKG_INCLUDE_DIRS})

# --------------------------
# set directories
# --------------------------

SET(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/bin CACHE PATH "Single Directory for all Libraries")
SET(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/bin CACHE PATH "Single Directory for all Executables.")

SET(SUBDIR_LIB lib)
SET(SUBDIR_SRC src)
SET(SUBDIR_SWIG swig)
SET(DIR_ROOT ${CMAKE_CURRENT_SOURCE_DIR}/${SUBDIR_LIB}) 
SET(DIR_INTERN ${DIR_ROOT}/intern )
SET(DIR_COVER ${DIR_INTERN}/cover )
SET(DIR_LYRICS ${DIR_INTERN}/lyrics )
SET(DIR_PHOTOS ${DIR_INTERN}/photos )
SET(DIR_AINFO ${DIR_INTERN}/ainfo )
SET(DIR_SIMILAR ${DIR_INTERN}/similar_artist )
SET(DIR_SIMILSO ${DIR_INTERN}/similar_song )
SET(DIR_REVIEW ${DIR_INTERN}/review )
SET(DIR_TRACKLIST ${DIR_INTERN}/tracklist )
SET(DIR_ALBUMLIST ${DIR_INTERN}/albumlist )
SET(DIR_TAGS ${DIR_INTERN}/tags )
SET(DIR_RELATIONS ${DIR_INTERN}/relations )
SET(DIR_GUITARTABS ${DIR_INTERN}/guitartabs )
SET(DIR_BACKDROPS ${DIR_INTERN}/backdrops )

# ------------------------------------------------
# Set source locations
# ------------------------------------------------
SET(LIB_SOURCE_LOCATIONS
	# core
	"${DIR_ROOT}/glyr.c"
	"${DIR_ROOT}/core.c"
	"${DIR_ROOT}/misc.c"
	"${DIR_ROOT}/cache_intern.c"
	"${DIR_ROOT}/cache.c"
	"${DIR_ROOT}/register_plugins.c"
	"${DIR_ROOT}/stringlib.c"
	"${DIR_ROOT}/blacklist.c"
    "${DIR_ROOT}/testing.c"
    # "Builtin" special providers
	"${DIR_INTERN}/cache/db_provider.c"
	"${DIR_INTERN}/musictree/musictree.c"
	# fetcher
	"${DIR_INTERN}/generic.c"
	"${DIR_INTERN}/ainfo.c"
	"${DIR_INTERN}/cover.c"
	"${DIR_INTERN}/similar_artist.c"
	"${DIR_INTERN}/similar_song.c"
	"${DIR_INTERN}/lyrics.c"
	"${DIR_INTERN}/photos.c"
	"${DIR_INTERN}/review.c"
	"${DIR_INTERN}/tracklist.c"
	"${DIR_INTERN}/tags.c"
	"${DIR_INTERN}/relations.c"
	"${DIR_INTERN}/albumlist.c"
	"${DIR_INTERN}/guitartabs.c"
	"${DIR_INTERN}/backdrops.c"
	# extensions
	"${DIR_INTERN}/common/mbid_lookup.c"
	"${DIR_INTERN}/common/google.c"
	"${DIR_INTERN}/common/amazon.c"
	"${DIR_INTERN}/common/picsearch.c"
	"${DIR_INTERN}/common/musicbrainz.c"
	"${DIR_AINFO}/lastfm.c"
	"${DIR_AINFO}/bbcmusic.c"
	"${DIR_AINFO}/lyricsreg.c"
	"${DIR_SIMILAR}/lastfm.c"
	"${DIR_SIMILSO}/lastfm.c"
	"${DIR_TRACKLIST}/musicbrainz.c"
	"${DIR_REVIEW}/amazon.c"
	"${DIR_REVIEW}/metallum.c"
	"${DIR_ALBUMLIST}/musicbrainz.c"
	"${DIR_RELATIONS}/musicbrainz.c"
	"${DIR_RELATIONS}/generated.c"
	"${DIR_TAGS}/musicbrainz.c"
	"${DIR_COVER}/coverartarchive.c"
	"${DIR_COVER}/lastfm.c"
	"${DIR_COVER}/jamendo.c"
	"${DIR_COVER}/google.c"
	"${DIR_COVER}/coverhunt.c"
	"${DIR_COVER}/lyricswiki.c"
	"${DIR_COVER}/albumart.c"
	"${DIR_COVER}/discogs.c"
	"${DIR_COVER}/amazon.c"
	"${DIR_COVER}/rhapsody.c"
	"${DIR_COVER}/picsearch.c"
	"${DIR_COVER}/musicbrainz.c"
	"${DIR_COVER}/slothradio.c"
	"${DIR_LYRICS}/lyrdb.c"
	"${DIR_LYRICS}/metallum.c"
	"${DIR_LYRICS}/magistrix.c"
	"${DIR_LYRICS}/lyrix_at.c"
	"${DIR_LYRICS}/lyricsvip.c"
	"${DIR_LYRICS}/metrolyrics.c"
	"${DIR_LYRICS}/lyricswiki.c"
	"${DIR_LYRICS}/lyricstime.c"
	"${DIR_LYRICS}/lyricsreg.c"
	"${DIR_LYRICS}/lipwalk.c"
	"${DIR_LYRICS}/elyrics.c"
	"${DIR_LYRICS}/chartlyrics.c"
	"${DIR_PHOTOS}/flickr.c"
	"${DIR_PHOTOS}/lastfm.c"
	"${DIR_PHOTOS}/google.c"
	"${DIR_PHOTOS}/discogs.c"
	"${DIR_PHOTOS}/singerpictures.c"
	"${DIR_PHOTOS}/rhapsody.c"
	"${DIR_PHOTOS}/picsearch.c"
	"${DIR_PHOTOS}/bbcmusic.c"
	"${DIR_GUITARTABS}/guitaretab.c"
	"${DIR_GUITARTABS}/chordie_com.c"
    "${DIR_BACKDROPS}/htbackdrops.c"
# 	Old plugins, removed due to bad quality
#   "${DIR_LYRICS}/songlyrics.c"
#   "${DIR_LYRICS}/directlyrics.c"
#   "${DIR_LYRICS}/darklyrics.c"
)


# ------------------------------------------------
# go on with subdirs
# ------------------------------------------------
ADD_SUBDIRECTORY( ${SUBDIR_LIB} )
ADD_SUBDIRECTORY( ${SUBDIR_SRC} )

IF(DEFINED TEST)
    MESSAGE("-- Building with tests: ${TEST}")
    ADD_SUBDIRECTORY( spec/capi )
ENDIF()

# ------------------------------------------------
# uninstall target
# ------------------------------------------------
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY
    )

ADD_CUSTOM_TARGET(uninstall COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)

set(PROJECT_VERSION ${GLYR_VERSION_MAJOR}.${GLYR_VERSION_MINOR}.${GLYR_VERSION_MICRO})

set(ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${PROJECT_VERSION})
ADD_CUSTOM_TARGET(dist
    COMMAND git archive --prefix=${CMAKE_PROJECT_NAME}/ HEAD
        | bzip2 > ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

## glyr 1.0.0~siduction.2

=== debian/changelog ===
glyr (1.0.0~siduction.2) unstable; urgency=low

  * needed  ${misc:Depends} added
  * linitan whining because numbering change
  * hardening set

 -- Alf Gaida <agaida@siduction.org>  Sun, 10 Feb 2013 23:15:56 +0100

glyr (1.0.0~siduction.1) unstable; urgency=low

  * introduced me as maintainer
  * new sources
  * debian/copyright fixed
  * debian/rules maintainer-clean added
  * debian/rules get-orig-source added
  * debhelpers >= 9
  * standards 3.9.4
  * compat 9
  * changed numbering to a no debian number

 -- Alf Gaida <agaida@siduction.org>  Sun, 10 Feb 2013 23:01:45 +0100

glyr (0.9.0-1.siduction.2) unstable; urgency=low

  * Try to fix the chrash in pragha.

 -- Torsten Wohlfarth <towo@siduction.org>  Fri, 09 Dec 2011 20:41:35 +0100

glyr (0.9.0-1.siduction.1) unstable; urgency=low

  * Initial release.

 -- Torsten Wohlfarth <towo@siduction.org>  Fri, 09 Dec 2011 19:17:30 +0100

=== debian/control ===
Source: glyr
Priority: extra
Maintainer: Alf Gaida <agaida@siduction.org>
Build-Depends: debhelper (>= 9), cmake,
 libcurl4-openssl-dev, libsqlite3-dev, libglib2.0-dev
Standards-Version: 3.9.4
Section: libs
Homepage: https://github.com/sahib/glyr
Vcs-Git: git://git.siduction.org/code/glyr.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/glyr.git;a=summary

Package: glyr
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libglyr1 (= ${binary:Version})
Description: music related metadata searchengine
 Glyr is a music related metadata searchengine, both with commandline
 interface and C API

Package: libglyr-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libglyr1 (= ${binary:Version})
Description: Development files for libglyr
 The development files for libglyr

Package: libglyr1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: libglyr for Glyr
 libglyr is for Glyr

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1
export DEB_BUILD_HARDENING=1

%:
	dh $@ 

maintainer-clean:
	dh_clean
	rm -rf $$(ls | grep -v debian)

get-orig-source: maintainer-clean
	if [ ! -d .xyz ]; then \
	    git clone git://github.com/sahib/glyr.git .xyz; \
	    cd .xyz; \
	    git fetch --all; \
	else \
	    cd .xyz; \
	    git reset --hard; \
	    git clean --force; \
	    git pull --all; \
	fi; \
	cp -a * ..; \
	cp .clang_complete ..; \

## glyr 1.0.0

=== debian/changelog ===
glyr (1.0.0-4) unstable; urgency=low

  * Don't change mode of example (fixes FTBFS)

 -- Etienne Millon <etienne.millon@gmail.com>  Mon, 01 Oct 2012 00:44:16 +0200

glyr (1.0.0-3) unstable; urgency=low

  * Fix permissions of example file only if it exists (fixes FTBFS)

 -- Etienne Millon <etienne.millon@gmail.com>  Sat, 29 Sep 2012 21:54:05 +0200

glyr (1.0.0-2) unstable; urgency=low

  * Version dependency on ruby (Closes: #688841)
  * Move documentation to its own package (Closes: #688821)
  * Don't build documentation package if b-d-indep are not installed
    (Closes: #688899)
  * Bump Standards-Version to 3.9.4 (no changes needed)

 -- Etienne Millon <etienne.millon@gmail.com>  Fri, 28 Sep 2012 17:58:45 +0200

glyr (1.0.0-1) unstable; urgency=low

  * Initial release (Closes: #651416).
  * Add a patch to set correct build flags (-O2 -g)

 -- Etienne Millon <etienne.millon@gmail.com>  Sat, 08 Sep 2012 15:18:12 +0200

=== debian/watch ===
version=3
https://github.com/sahib/glyr/downloads \
  /downloads/sahib/glyr/glyr-(.+)\.tar\.bz2

## glyr 1.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -38,7 +38,7 @@
 # ------------------------------------------------
 SET(GLYR_VERSION_MAJOR "1")
 SET(GLYR_VERSION_MINOR "0")
-SET(GLYR_VERSION_MICRO "0")
+SET(GLYR_VERSION_MICRO "1")
 SET(GLYR_VERSION_NAME  "Bloody Boar")
 # ------------------------------------------------
 
@@ -109,6 +109,7 @@
 SET(DIR_RELATIONS ${DIR_INTERN}/relations )
 SET(DIR_GUITARTABS ${DIR_INTERN}/guitartabs )
 SET(DIR_BACKDROPS ${DIR_INTERN}/backdrops )
+SET(DIR_JSMN ${DIR_ROOT}/jsmn )
 
 # ------------------------------------------------
 # Set source locations
@@ -127,6 +128,8 @@
     # "Builtin" special providers
 	"${DIR_INTERN}/cache/db_provider.c"
 	"${DIR_INTERN}/musictree/musictree.c"
+    # jsmn
+    "${DIR_JSMN}/jsmn.c"
 	# fetcher
 	"${DIR_INTERN}/generic.c"
 	"${DIR_INTERN}/ainfo.c"
@@ -149,12 +152,14 @@
 	"${DIR_INTERN}/common/picsearch.c"
 	"${DIR_INTERN}/common/musicbrainz.c"
 	"${DIR_AINFO}/lastfm.c"
+	"${DIR_AINFO}/echonest.c"
 	"${DIR_AINFO}/bbcmusic.c"
 	"${DIR_AINFO}/lyricsreg.c"
 	"${DIR_SIMILAR}/lastfm.c"
 	"${DIR_SIMILSO}/lastfm.c"
 	"${DIR_TRACKLIST}/musicbrainz.c"
 	"${DIR_REVIEW}/amazon.c"
+    "${DIR_REVIEW}/echonest.c"
 	"${DIR_REVIEW}/metallum.c"
 	"${DIR_ALBUMLIST}/musicbrainz.c"
 	"${DIR_RELATIONS}/musicbrainz.c"

=== debian/changelog ===
glyr (1.0.1-1) unstable; urgency=low

  * New upstream release
    - Add copyright data for jsmn
  * Update watch file

 -- Etienne Millon <etienne.millon@gmail.com>  Wed, 03 Apr 2013 00:47:50 +0200

=== debian/control ===
Source: glyr
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Etienne Millon <etienne.millon@gmail.com>
Build-Depends:
 cmake,
 debhelper (>= 9),
 libcurl4-gnutls-dev | libcurl-dev,
 libglib2.0-dev,
 libsqlite3-dev,
Build-Depends-Indep:
 gtk-doc-tools,
 ruby (>= 4.9)
Standards-Version: 3.9.4
Section: libs
Homepage: http://github.com/sahib/glyr
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/glyr.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/glyr.git

Package: libglyr1
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: search engine for music-related metadata
 Glyr is a library to retrieve music-related metadata from several
 online providers (Amazon, Discogs, Musicbrainz...).
 .
 It can be used in media player programs to download cover art, lyrics,
 biography and much more.

Package: libglyr1-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends:
 libglyr1 (= ${binary:Version}),
 ${misc:Depends}
Description: search engine for music-related metadata - debugging symbols
 Glyr is a library to retrieve music-related metadata from several
 online providers (Amazon, Discogs, Musicbrainz...).
 .
 It can be used in media player programs to download cover art, lyrics,
 biography and much more.
 .
 This package contains the debugging symbols.

Package: libglyr-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libcurl4-gnutls-dev | libcurl-dev,
 libglib2.0-dev,
 libglyr1 (= ${binary:Version}),
 libsqlite3-dev,
 ${misc:Depends}
Suggests:
 libglyr-doc
Description: search engine for music-related metadata - development files
 Glyr is a library to retrieve music-related metadata from several
 online providers (Amazon, Discogs, Musicbrainz...).
 .
 It can be used in media player programs to download cover art, lyrics,
 biography and much more.
 .
 This package contains the header files necessary to build applications using
 libglyr.

Package: libglyr-doc
Section: doc
Architecture: all
Breaks:
 libglyr-dev (<< 1.0.0-2)
Replaces:
 libglyr-dev (<< 1.0.0-2)
Depends:
 ${misc:Depends}
Description: search engine for music-related metadata - documentation
 Glyr is a library to retrieve music-related metadata from several
 online providers (Amazon, Discogs, Musicbrainz...).
 .
 It can be used in media player programs to download cover art, lyrics,
 biography and much more.
 .
 This package contains the documentation for developing with libglyr.

Package: glyrc
Section: sound
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: command-line interface to libglyr
 Glyr is a library to retrieve music-related metadata from several
 online providers (Amazon, Discogs, Musicbrainz...).
 .
 It can be used in media player programs to download cover art, lyrics,
 biography and much more.
 .
 This package contains a command-line interface to the library.

## glyr 1.0.2

=== debian/changelog ===
glyr (1.0.2-1) unstable; urgency=low

  * New upstream release (Closes: #731542)
  * Update my email address

 -- Etienne Millon <me@emillon.org>  Sat, 07 Dec 2013 18:43:21 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
- Etienne Millon <etienne.millon@gmail.com>
+ Etienne Millon <me@emillon.org>
 Build-Depends:
  cmake,
  debhelper (>= 9),

## glyr 1.0.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -38,8 +38,8 @@
 # ------------------------------------------------
 SET(GLYR_VERSION_MAJOR "1")
 SET(GLYR_VERSION_MINOR "0")
-SET(GLYR_VERSION_MICRO "1")
-SET(GLYR_VERSION_NAME  "Bloody Boar")
+SET(GLYR_VERSION_MICRO "2")
+SET(GLYR_VERSION_NAME  "Raving Raven")
 # ------------------------------------------------
 
 
@@ -63,7 +63,7 @@
 
 SET(COMMON_FLAGS "${GCC_ONLY_FLAGS} -Wall -Wextra -Wstrict-prototypes -W -Wno-unused-parameter -Wno-strict-prototypes -fvisibility=hidden")
 SET(CMAKE_C_FLAGS_RELEASE "${COMMON_FLAGS} ${CMAKE_C_FLAGS} -Os ${GCC_ONLY_OPT}")
-SET(CMAKE_C_FLAGS_DEBUG   "${COMMON_FLAGS} ${CMAKE_C_FLAGS} -ggdb3")
+SET(CMAKE_C_FLAGS_DEBUG   "${COMMON_FLAGS} ${CMAKE_C_FLAGS} -g3")
 SET(CMAKE_C_FLAGS "${COMMON_FLAGS} ${CMAKE_C_FLAGS}")
 # ------------------------------------------------
 
@@ -190,6 +190,7 @@
 	"${DIR_LYRICS}/lipwalk.c"
 	"${DIR_LYRICS}/elyrics.c"
 	"${DIR_LYRICS}/chartlyrics.c"
+	"${DIR_LYRICS}/vagalume.c"
 	"${DIR_PHOTOS}/flickr.c"
 	"${DIR_PHOTOS}/lastfm.c"
 	"${DIR_PHOTOS}/google.c"

=== lib/CMakeLists.txt ===
# Configuration for Version / versionname
configure_file (
  "config.h.in"
  "config.h"
)

SET(GENERIC_LIB_VERSION ${GLYR_VERSION_MAJOR}.${GLYR_VERSION_MINOR})
SET(GLYR_API_SOVERSION 1)

# Link libglyr as shared library
ADD_LIBRARY(glyr SHARED	${LIB_SOURCE_LOCATIONS})

# Win32 needs that socket library for libcurl
IF(WIN32)
  TARGET_LINK_LIBRARIES(glyr ${CURL_LIBRARY} ${GLIBPKG_LIBRARIES} ${SQLITE3_LIBRARIES} ws2_32) 
  SET_TARGET_PROPERTIES(glyr PROPERTIES
    OUTPUT_NAME "glyr-${GLYR_API_SOVERSION}"
    VERSION ${GENERIC_LIB_VERSION} )
ELSE(WIN32) 
  TARGET_LINK_LIBRARIES(glyr ${CURL_LIBRARY} ${GLIBPKG_LIBRARIES} ${SQLITE3_LIBRARIES} ) 
  SET_TARGET_PROPERTIES(glyr PROPERTIES
    VERSION ${GLYR_API_SOVERSION}.${GENERIC_LIB_VERSION}
    SOVERSION ${GLYR_API_SOVERSION})
ENDIF(WIN32)

# Install Files
INSTALL(FILES glyr.h    DESTINATION ${INSTALL_INC_DIR}/glyr)
INSTALL(FILES types.h   DESTINATION ${INSTALL_INC_DIR}/glyr)
INSTALL(FILES misc.h    DESTINATION ${INSTALL_INC_DIR}/glyr)
INSTALL(FILES cache.h   DESTINATION ${INSTALL_INC_DIR}/glyr)
INSTALL(FILES config.h  DESTINATION ${INSTALL_INC_DIR}/glyr)
INSTALL(FILES testing.h DESTINATION ${INSTALL_INC_DIR}/glyr)
INSTALL(TARGETS glyr LIBRARY DESTINATION ${INSTALL_LIB_DIR})

=== debian/changelog ===
glyr (1.0.5-1) unstable; urgency=medium

  * New upstream release

 -- Etienne Millon <me@emillon.org>  Tue, 11 Feb 2014 18:53:08 +0100

glyr (1.0.3-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 3.9.5 (no changes needed)

 -- Etienne Millon <me@emillon.org>  Thu, 30 Jan 2014 21:20:57 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Build-Depends-Indep:
  gtk-doc-tools,
  ruby (>= 4.9)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Section: libs
 Homepage: http://github.com/sahib/glyr
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/glyr.git

=== debian/rules ===
#!/usr/bin/make -f
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ 

override_dh_auto_configure:
	dh_auto_configure -- -DINSTALL_LIB_DIR=lib/$(DEB_BUILD_MULTIARCH)

override_dh_auto_build:
	dh_auto_build
ifeq ($(shell dpkg-query -s gtk-doc-tools 1>/dev/null 2>&1 && echo yes),yes)
	cd doc ; ruby build_doc.rb
endif

override_dh_compress:
	dh_compress -Xasync_queue.c -Xexample.c

override_dh_strip:
	dh_strip --dbg-package=libglyr1-dbg

## glyr 1.0.6+git20140423

=== debian/changelog ===
glyr (1.0.6+git20140423-1) unstable; urgency=medium

  * New upstream release
    - pick git snapshot 302c35e9 as 1.0.6 does not build

 -- Etienne Millon <me@emillon.org>  Fri, 09 May 2014 18:22:47 +0200

## glyr 1.0.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -38,10 +38,19 @@
 # ------------------------------------------------
 SET(GLYR_VERSION_MAJOR "1")
 SET(GLYR_VERSION_MINOR "0")
-SET(GLYR_VERSION_MICRO "2")
+SET(GLYR_VERSION_MICRO "6")
 SET(GLYR_VERSION_NAME  "Raving Raven")
 # ------------------------------------------------
 
+exec_program(
+    "git"
+    ${CMAKE_CURRENT_SOURCE_DIR}
+    ARGS "describe"
+    OUTPUT_VARIABLE VERSION 
+)
+
+# string(REGEX MATCH "-g.*$" VERSION_SHA1 ${VERSION})
+# string(REGEX REPLACE "[-g]" "" VERSION_SHA1 ${VERSION_SHA1})
 
 # ------------------------------------------------
 # CFlags and warnlevel / build config

=== debian/changelog ===
glyr (1.0.8-2) unstable; urgency=medium

  * Set build date from BUILD_DATE and BUILD_TIME instead of cpp macros.
  * Set correct version number e.g. in glyrc --version.

 -- Etienne Millon <me@emillon.org>  Mon, 16 Nov 2015 17:41:29 +0100

glyr (1.0.8-1) unstable; urgency=medium

  * Upload to unstable.

 -- Etienne Millon <me@emillon.org>  Mon, 27 Apr 2015 22:05:05 +0200

glyr (1.0.8-1~exp1) experimental; urgency=medium

  * New upstream release
  * Bump Standards-Version to 3.9.6 (no changes needed)
  * Update Vcs-Browser URL

 -- Etienne Millon <me@emillon.org>  Sat, 14 Feb 2015 21:33:03 +0100

=== debian/control ===
--- 
+++ 
@@ -12,11 +12,11 @@
 Build-Depends-Indep:
  gtk-doc-tools,
  ruby (>= 4.9)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Section: libs
 Homepage: http://github.com/sahib/glyr
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/glyr.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/glyr.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/glyr.git
 
 Package: libglyr1
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,10 @@
 #!/usr/bin/make -f
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
+PACKAGE_DATETIME = $(shell dpkg-parsechangelog -SDate)
+export BUILD_DATE=$(shell LC_ALL=C date -u --date="$(PACKAGE_DATETIME)" +"%b %e %Y")
+export BUILD_TIME=$(shell LC_ALL=C date -u --date="$(PACKAGE_DATETIME)" +"%H:%M:%S")
 
 %:
 	dh $@

## glyr 1.0.9

=== src/CMakeLists.txt ===
ADD_EXECUTABLE(glyrc glyrc/glyrc.c glyrc/autohelp.c glyrc/update.c glyrc/escape.c glyrc/colorprint.c)
TARGET_LINK_LIBRARIES(glyrc glyr)

ADD_EXECUTABLE(example examples/example.c)
TARGET_LINK_LIBRARIES(example glyr) 

ADD_EXECUTABLE(threads examples/threads.c)
TARGET_LINK_LIBRARIES(threads glyr) 

ADD_EXECUTABLE(simple  examples/simple.c)
TARGET_LINK_LIBRARIES(simple glyr) 

ADD_EXECUTABLE(dbcache examples/dbcache.c)
TARGET_LINK_LIBRARIES(dbcache glyr) 

ADD_EXECUTABLE(rating  examples/rating.c)
TARGET_LINK_LIBRARIES(rating glyr) 

ADD_EXECUTABLE(getinfo examples/getinfo.c)
TARGET_LINK_LIBRARIES(getinfo glyr) 

ADD_EXECUTABLE(exit_signal examples/exit_signal.c)
TARGET_LINK_LIBRARIES(exit_signal glyr) 

ADD_EXECUTABLE(async_queue examples/async_queue.c)
TARGET_LINK_LIBRARIES(async_queue glyr)

ADD_EXECUTABLE(ping_url utils/ping_url.c)
TARGET_LINK_LIBRARIES(ping_url glyr) 

ADD_EXECUTABLE(musictree examples/musictree.c)
TARGET_LINK_LIBRARIES(musictree glyr) 

ADD_EXECUTABLE(guess_lang utils/guess_lang.c)
TARGET_LINK_LIBRARIES(guess_lang glyr) 

ADD_EXECUTABLE(clean_db utils/clean_db.c)
TARGET_LINK_LIBRARIES(clean_db glyr) 

#install
INSTALL(TARGETS glyrc RUNTIME DESTINATION ${INSTALL_BIN_DIR})

=== spec/capi/CMakeLists.txt ===
PKG_CHECK_MODULES(LIBCHECK_PKG check REQUIRED)
INCLUDE_DIRECTORIES(${LIBCHECK_PKG_INCLUDE_DIRS})

ADD_LIBRARY(test_common STATIC test_common.c)
TARGET_LINK_LIBRARIES(test_common ${LIBCHECK_PKG_LIBRARIES} glyr)

ADD_EXECUTABLE(check_api check_api.c)
ADD_EXECUTABLE(check_opt check_opt.c)
ADD_EXECUTABLE(check_dbc check_dbc.c)
TARGET_LINK_LIBRARIES(check_api glyr test_common)
TARGET_LINK_LIBRARIES(check_opt glyr test_common)
TARGET_LINK_LIBRARIES(check_dbc glyr test_common)

=== debian/changelog ===
glyr (1.0.9-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8 (no changes needed).
  * Use a secure URI for Vcs-Git.
  * Fix some typos in glyrc.
  * Set hardening=+all.

 -- Etienne Millon <me@emillon.org>  Sun, 22 May 2016 18:15:31 +0200

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,10 @@
 Build-Depends-Indep:
  gtk-doc-tools,
  ruby (>= 4.9)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Section: libs
 Homepage: http://github.com/sahib/glyr
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/glyr.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/glyr.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/glyr.git
 
 Package: libglyr1

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,5 @@
 #!/usr/bin/make -f
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

## glyr 1.0.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -38,7 +38,7 @@
 # ------------------------------------------------
 SET(GLYR_VERSION_MAJOR "1")
 SET(GLYR_VERSION_MINOR "0")
-SET(GLYR_VERSION_MICRO "6")
+SET(GLYR_VERSION_MICRO "9")
 SET(GLYR_VERSION_NAME  "Raving Raven")
 # ------------------------------------------------

=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,12 @@
 
 SET(GENERIC_LIB_VERSION ${GLYR_VERSION_MAJOR}.${GLYR_VERSION_MINOR})
 SET(GLYR_API_SOVERSION 1)
+IF(DEFINED ENV{BUILD_DATE})
+    ADD_DEFINITIONS(-DBUILD_DATE="$ENV{BUILD_DATE}")
+ENDIF()
+IF(DEFINED ENV{BUILD_TIME})
+    ADD_DEFINITIONS(-DBUILD_TIME="$ENV{BUILD_TIME}")
+ENDIF()
 
 # Link libglyr as shared library
 ADD_LIBRARY(glyr SHARED	${LIB_SOURCE_LOCATIONS})

=== debian/changelog ===
glyr (1.0.10-3) unstable; urgency=medium

  * Team upload
  * Allow stderr output (Closes: #1111899)
  * Override minimum CMake version (Closes: #1112963)
  * Import curl.h instead of a header subset (Closes: #1114127)

 -- Bastian Germann <bage@debian.org>  Tue, 09 Sep 2025 18:08:03 +0200

glyr (1.0.10-2.1) unstable; urgency=medium

  [ Gabriel F. T. Gomes ]
  * Non-maintainer upload.
  * Fix build issue in documentation (Closes: #1094074)

 -- Gabriel F. T. Gomes <gabriel@debian.org>  Sat, 01 Feb 2025 23:09:44 -0800

glyr (1.0.10-2) unstable; urgency=medium

  * Team upload
  * Fix build/host confusion (Closes: #913519)
  * autopkgtest: mark superficial (Closes: #969831)
  * Clean generated docs (Closes: #1044876)

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

 -- Bastian Germann <bage@debian.org>  Wed, 27 Sep 2023 09:55:59 +0200

glyr (1.0.10-1) unstable; urgency=medium

  * New upstream release.
    - Remove applied patch for typos.
  * Bump Standards-Version to 4.1.3.
    - Use https URL in debian/copyright.
    - Remove Priority: extra for debug package.
  * Set Vcs-* to salsa.debian.org
  * Remove manual debug package in favor of an automatic one.
  * Let gcc use SOURCE_DATE_EPOCH directly.
  * Add an autopkgtest.
  * Use https URL for Homepage.
  * Bump compat level to 10.

 -- Etienne Millon <me@emillon.org>  Mon, 05 Mar 2018 23:11:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: glyr
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Etienne Millon <me@emillon.org>
 Build-Depends:
  cmake,
- debhelper (>= 9),
+ debhelper-compat (= 10),
  libcurl4-gnutls-dev | libcurl-dev,
  libglib2.0-dev,
  libsqlite3-dev,
 Build-Depends-Indep:
  gtk-doc-tools,
  ruby (>= 4.9)
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Section: libs
-Homepage: http://github.com/sahib/glyr
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/glyr.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/glyr.git
+Homepage: https://github.com/sahib/glyr
+Vcs-Git: https://salsa.debian.org/multimedia-team/glyr.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/glyr
 
 Package: libglyr1
 Architecture: any
@@ -32,23 +32,6 @@
  .
  It can be used in media player programs to download cover art, lyrics,
  biography and much more.
-
-Package: libglyr1-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Multi-Arch: same
-Depends:
- libglyr1 (= ${binary:Version}),
- ${misc:Depends}
-Description: search engine for music-related metadata - debugging symbols
- Glyr is a library to retrieve music-related metadata from several
- online providers (Amazon, Discogs, Musicbrainz...).
- .
- It can be used in media player programs to download cover art, lyrics,
- biography and much more.
- .
- This package contains the debugging symbols.
 
 Package: libglyr-dev
 Section: libdevel

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/architecture.mk
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DINSTALL_LIB_DIR=lib/$(DEB_HOST_MULTIARCH) -DCMAKE_POLICY_VERSION_MINIMUM=3.5

override_dh_auto_build:
	dh_auto_build
ifeq ($(shell dpkg-query -s gtk-doc-tools 1>/dev/null 2>&1 && echo yes),yes)
	cd doc ; ruby build_doc.rb
endif

override_dh_compress:
	dh_compress -Xasync_queue.c -Xexample.c

override_dh_strip:
	dh_strip --dbgsym-migration='libglyr1-dbg (<< 1.0.10-1~)'

=== debian/tests/control ===
Test-Command: glyrc --version
Restrictions: superficial, allow-stderr
Depends: glyrc
